## wmcube 0.98

=== wmcube/Makefile ===
CC = gcc
OS = -DLINUX

LIBDIR = -L/usr/X11R6/lib
LIBDIR = -L/usr/X11R6/lib
INCDIR = -I/usr/X11R6/share/include

# Edit OSLIBS as appropriate to include OS specific libraries.

OSLIBS =
LIBS   = -lXpm -lXext -lX11 -lm $(OSLIBS)
CFLAGS = -Wall -O2 $(OS)

OBJS =	wmcube.o \
	../wmgeneral/wmgeneral.o \
	../wmgeneral/misc.o \
	../wmgeneral/list.o

.c.o:
	$(CC) $(CFLAGS) $(INCDIR) -c $< -o $*.o

wmcube: $(OBJS)
	$(CC) -o wmcube $^ -lXext $(LIBDIR) $(LIBS)


all:: wmcube

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmcube
	rm -f *~

install:: wmcube
	cp -f wmcube /usr/local/bin/
	chmod 755 /usr/local/bin/wmcube
	chown root:root /usr/local/bin/wmcube
	@echo "wmCube installation finished..."
