## wmcube 1.0.0

=== wmcube/Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 LIBDIR = -L/usr/X11R6/lib
 LIBDIR = -L/usr/X11R6/lib
 INCDIR = -I/usr/X11R6/share/include
+
+PREFIX = /usr
+BINDIR = $(PREFIX)/bin
+DOCDIR = $(PREFIX)/doc/wmcube-1.0.0
+OBJDIR = $(PREFIX)/share/wmcube
 
 # Edit OSLIBS as appropriate to include OS specific libraries.
 
@@ -22,7 +27,6 @@
 wmcube: $(OBJS)
 	$(CC) -o wmcube $^ -lXext $(LIBDIR) $(LIBS)
 
-
 all:: wmcube
 
 clean::
@@ -33,7 +37,21 @@
 	rm -f *~
 
 install:: wmcube
-	cp -f wmcube /usr/local/bin/
-	chmod 755 /usr/local/bin/wmcube
-	chown root:root /usr/local/bin/wmcube
-	@echo "wmCube installation finished..."
+	cp -f wmcube $(BINDIR)
+	chmod 755 $(BINDIR)/wmcube
+	chown root:root $(BINDIR)/wmcube
+	mkdir -p $(DOCDIR)
+	cp -p ../CHANGES ../COPYING ../INSTALL ../README $(DOCDIR)
+	cp -pr ../3D-objects $(DOCDIR)
+	mkdir -p $(OBJDIR)
+	cp -p ../3D-objects/* $(OBJDIR)
+	@echo "wmcube installation finished..."
+
+uninstall::
+	rm -f $(BINDIR)/wmcube
+	rm -f $(DOCDIR)/3D-objects/*
+	if [ -d $(DOCDIR)/3D-objects ]; then rmdir $(DOCDIR)/3D-objects; fi
+	rm -f $(DOCDIR)/*
+	if [ -d $(DOCDIR) ]; then rmdir $(DOCDIR); fi
+	rm -f $(OBJDIR)/*
+	if [ -d $(OBJDIR) ]; then rmdir $(OBJDIR); fi
