=== debian/changelog ===
wmcube (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #775110).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Remove dpatch from Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Update Homepage.
    - Add Vcs-*.
    - Add ${misc:Depends} to Depends.
    - Remove duplicate Section and Priority fields.
  * debian/copyright
    - Update to DEP5 machine-readable format version 1.0.
  * debian/install
    - New file; install extra *.wmc files.
  * debian/manpages
    - New file.
  * debian/patches
    - (10_fixes_for_0.99pre1_upgrade.dpatch, 20_parallel_build.dpatch,
      50_bts-504844_fix_ftbfs_gcc4.4.dpatch) Remove patches; no longer
      needed.
    - (30_bts-386850_fix_smp.patch, 40_bts-357072_long_uptime_fix.patch)
      Convert from dpatch to quilt, change extension from .dpatch to
      .patch, update for new upstream version, and add DEP3 header.
    - (update_makefile.patch) Various changes to upstream Makefile to
      properly build package.
    - (fix_-Wunused-result.patch) Fix compiler warnings.
    - (freebsd_sysctl.patch): Use sysctl instead of kvm to get cpu stats
      on kfreebsd.
    - (fix_grammar.patch) Fix grammar in error message.
    - (fix_cppcheck_warnings.patch) Fix warnings found by cppcheck.
  * debian/README.source
    - Remove out-of-date file.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to pass CFLAGS from
      dpkg-buildflags and set FREEBSD macro when building on kfreebsd.
    - Add override_dh_auto_install target to remove doc files installed
      by upstream that cause Lintian warnings.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update with new location.
  * debian/wmcube.1
    - Update with descriptions of options.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 14 Jan 2015 20:27:37 -0600

wmcube (0.99-pre1-3) unstable; urgency=low

  * QA upload.
  * debian/control
    - Set QA Group as maintainer.
    - Bump Standards-Version to 3.8.0.
      + Add debian/README.source.
  * debian/patches/50_bts-504844_fix_ftbfs_gcc4.4.dpatch
    - Add to fix a FTBFS using GCC 4.4; thanks to Martin Michlmayr for the
      report and the patch (Closes: #504844).

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Nov 2008 11:40:47 +0100

wmcube (0.99-pre1-2) unstable; urgency=low

  * debian/wmc/beryllium.wmc
    - Add new wmc (Closes: #466606).

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 08 Mar 2008 16:24:38 +0100

wmcube (0.99-pre1-1) unstable; urgency=low

  * New upstream release (Closes: #239522).
  * debian/control
    - Bump Standards-Version to 3.7.3.
    - Add Homepage field.
  * debian/menu
    - Update to new menu policy.
  * debian/copyright
    - Indent copyright and upstream author with 4 spaces.
    - Update copyright note.
    - Add copyright/license notes for wmapp directory.
  * debian/README.debian
    - Remove package description
    - Update upstream email & website address.
  * debian/watch
    - Add.
  * debian/rules
    - Install upstream changelog.
    - Don't install removed files.
    - Change binary location in install target.
    - Remove TODO from docs installation since no longer in upstream
      tarball.
    - Integrate destination dir creation into install target.
    - Remove execution rights from data files (*.wmc).
    - Clean target reorg to be run on patched source.
    - Build target depends on patch, not build-stamp on patch-stamp.
  * debian/3dObjects/
    - Rename to debian/wmc to match upstream directory
  * debian/patches/10_fixes_for_0.99pre1_upgrade.dpatch
    - Add to let new upstream release compile; thanks to Peter De Wachter
      from #debian-mentors IRC channel.
  * debian/patches/10_datapath_old.dpatch
    - Remove since merged upstream / no longer applicable.
  * debian/patches/30_restore_pristine_code.dpatch
    - Remove since merged upstream / no longer applicable.
  * debian/dirs
    - Remove.
  * debian/patches/20_secfix_old.dpatch
    - Remove since no longer applicable.
  * debian/patches/20_parallel_build.dpatch
    - Allow parallel build.
  * debian/patches/30_bts-386850_fix_smp.dpatch
    - Fix smp support (Closes: 386850).
  * debian/patches/40_bts-357072_long_uptime_fix.dpatch
    - Fix program running on machine with long uptime (Closes: #357072).
  * debian/wmcube.1
    - Adapt to new upstream release.

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 30 Jan 2008 19:58:58 +0100

wmcube (0.98-8) unstable; urgency=low

  * New maintainer (Closes: #414531).
  * debian/control
    - Add myself as new maintainer.
    - Little reformat of short and long descriptions.
    - Add dependency against dpatch.
  * debian/copyright
    - Set myself as new maintainer.
    - Add copyright notes for wmgeneral files.
    - Reformat license note.
  * debian/docs
    - Remove since integrated into debian/rules.
  * debian/rules
    - Change dh_installdocs call adding filenames as parameters..
    - Remove some commented lines here and there.
    - Manpage installation done using dh_installman.
    - Added install target.
    - Move 3dObjects/{README,CONTRIBUTE} from install to dh_installdocs
    - Remove "source diff" targe" target.
    - Remove custom patch application code since we are now using
      dpatch.
    - Patches to apply are selected using debian/patches/00list and not a
      variable.
    - Fix installation of 3dObjects files.
    - Fix a lintian warning on "make clean" call.
  * debian/menu
    - Change section to Applications.
  * debian/post{inst,rm}.debhelper
    - Remove since menu updatation is done automatically now.
  * debian/patches/{10_datapath_old,20_secfix_old}.dpatch
    - Replace old dpatch-style patches.
  * debian/patches/smpfix.dpatch
    - Remove since already present in 20_secfix_old.dpatch.
  * debian/3dObjects/X-{lines,planes}.wmc

