=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --sourcedirectory=wmcube

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_auto_build --sourcedirectory=wmcube -- OS=-DFREEBSD \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
else
	dh_auto_build --sourcedirectory=wmcube -- \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
endif

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/wmcube/usr/share/doc/wmcube/CHANGES \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/COPYING \
		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/INSTALL

get-orig-source:
	uscan --verbose --force-download --rename
