=== debian/changelog ===
wmcube (1.0.1-3) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 23:18:48 -0400

wmcube (1.0.1-2) unstable; urgency=medium

  * debian/patches/remove_inline_keywords.patch
    - Allow builds using gcc5 (Closes: #790293).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 15 Jul 2015 12:51:57 -0600

wmcube (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{install,wmc/*}
    - Remove files; *.wmc added upstream.
  * debian/{manpages,wmcube.1}
    - Remove files; manpage added upstream.
  * debian/patches
    - Remove previous patches; applied upstream.
  * debian/patches/manpage_escape_hyphens.patch
    - New patch; avoid hyphen-used-as-minus-sign Lintian warning.
  * debian/rules
    - Update override_dh_auto_install target to set installation
      directories.  (These settings were originally in
      debian/patches/update_makefile.patch, which upstream applied
      in part.  Since these settings are more Debian-specific, I'm
      moving this to debian/rules.)

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 19 Feb 2015 20:40:57 -0600
