=== debian/control ===
Source: wmcube
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://linux-bsd-unix.strefa.pl/index.en.html
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmcube.git

Package: wmcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: spinning 3D object that shows the current CPU load
 wmcube is a dockapp that displays a realtime rotating 3D object which
 indicates  current CPU  load. The  higher  the load,  the faster  the
 object  spins. On  SMP  machines one  instance  can be  run for  each
 processor.
 .
 Originally wmcube could spin only a cube, hence the name.
