=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,12 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install
+	mkdir -p $(CURDIR)/debian/wmcube/usr/bin
+	mkdir -p $(CURDIR)/debian/wmcube/usr/share/man/man1
+	dh_auto_install -- BINDIR=$(CURDIR)/debian/wmcube/usr/bin \
+		DOCDIR=$(CURDIR)/debian/wmcube/usr/share/doc/wmcube \
+		MANDIR=$(CURDIR)/debian/wmcube/usr/share/man/man1 \
+		OBJDIR=$(CURDIR)/debian/wmcube/usr/share/wmcube
 	rm $(CURDIR)/debian/wmcube/usr/share/doc/wmcube/CHANGES \
 		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/COPYING \
 		$(CURDIR)/debian/wmcube/usr/share/doc/wmcube/INSTALL
