## wmcube 1.0.2

=== wmcube/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC = gcc
 OS = -DLINUX
 
-VERSION = 1.0.1
+VERSION = 1.0.2
 
 LIBDIR = -L/usr/X11R6/lib
 LIBDIR = -L/usr/X11R6/lib
