=== debian/changelog ===
wmcube (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.7.
    - Use https protocol for Vcs-Browser.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Enable all hardening flags.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 18 Mar 2016 22:15:18 -0400
