=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://linux-bsd-unix.strefa.pl/index.en.html
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcube.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmcube.git
 
 Package: wmcube
 Architecture: any
