=== debian/watch ===
version=3
http://linux-bsd-unix.strefa.pl/index.en.html wmcube-(.*)\.tar\.gz
